#include <iostream>
using namespace std;
int main(){
	int N,L,br=0,poz;
	cin>>N;
	cin>>L;
	int niz[N];
	cout<<endl;
	for(int i=0;i<N;i++){
		cin>>niz[i];//Hi visina svakog stalaktita
		if(niz[i]>L){
			br++;
		}
		else{
			poz=i+1;
			goto kraj;
		}
	}
	kraj:
	if(br==N)
	cout<<-1;
	else
	cout<<poz;	
}